# Uses of Enum
io.dapr.v1.DaprProtos.UnlockResponse.Status

Packages that use DaprProtos.UnlockResponse.Status
Package
Description
io.dapr.v1

## Uses of DaprProtos.UnlockResponse.Status in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.UnlockResponse.Status
Modifier and Type
Method
Description
`static DaprProtos.UnlockResponse.Status`
DaprProtos.UnlockResponse.Status.`forNumber(int value)`
`DaprProtos.UnlockResponse.Status`
DaprProtos.UnlockResponse.Builder.`getStatus()`
`.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`
`DaprProtos.UnlockResponse.Status`
DaprProtos.UnlockResponse.`getStatus()`
`.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`
`DaprProtos.UnlockResponse.Status`
DaprProtos.UnlockResponseOrBuilder.`getStatus()`
`.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`
`static DaprProtos.UnlockResponse.Status`
DaprProtos.UnlockResponse.Status.`valueOf(int value)`
Deprecated.
`static DaprProtos.UnlockResponse.Status`
DaprProtos.UnlockResponse.Status.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.UnlockResponse.Status`
DaprProtos.UnlockResponse.Status.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.UnlockResponse.Status[]`
DaprProtos.UnlockResponse.Status.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.UnlockResponse.Status
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.UnlockResponse.Status>`
DaprProtos.UnlockResponse.Status.`internalGetValueMap()`
Methods in io.dapr.v1 with parameters of type DaprProtos.UnlockResponse.Status
Modifier and Type
Method
Description
`DaprProtos.UnlockResponse.Builder`
DaprProtos.UnlockResponse.Builder.`setStatus(DaprProtos.UnlockResponse.Status value)`
`.dapr.proto.runtime.v1.UnlockResponse.Status status = 1;`